## org.apache.lucene.util.encoding
Class VInt8IntDecoder

    java.lang.Object
      org.apache.lucene.util.encoding.IntDecoder
          org.apache.lucene.util.encoding.VInt8IntDecoder

    public class VInt8IntDecoder

extends IntDecoder

An `IntDecoder` which can decode values encoded by `VInt8IntEncoder`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.util.encoding.IntDecoder
`EOS, in`

Constructor Summary
`VInt8IntDecoder()`

Method Summary
`long` `decode()` Decodes data received from the input stream, and returns one decoded integer.
`String` `toString()`

Methods inherited from class org.apache.lucene.util.encoding.IntDecoder
`reInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VInt8IntDecoder

    public VInt8IntDecoder()

Method Detail

### decode

    public long decode()
                throws IOException

  Description copied from class: `IntDecoder`
  Decodes data received from the input stream, and returns one decoded integer. If end of stream is reached, `IntDecoder.EOS` is returned.

  Specified by:
    `decode` in class `IntDecoder`
  Returns:
    one decoded integer as long or `IntDecoder.EOS` if end-of-stream reached.
  Throws:
    `IOException` - if an I/O error occurs

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`